/* Percolation animation (version 2.02 - Windows)
 *
 * Copyright (C) 2005 N.R. Moloney 
 *
 * Distributed under the Qt Non-Commercial license version 1.0
 */

#ifndef INTERFACE_H
#define INTERFACE_H

#include <qlcdnumber.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qstring.h>
#include <qwidget.h>

const int buttonWidth = 160;
const int buttonHeight = 55;
const int boxHeight = 100;
const int leftAlign = 20;
const int offsetx = 200;
const int offsety = 50;
const int rightAlign = 820;

class Interface : public QWidget
{
  Q_OBJECT

public:

  Interface( QWidget * parent = 0, const char * name = 0 );

  QLCDNumber * systemSizeLCD;
  QLCDNumber * largestClusterLCD;
  QLCDNumber * probabilityLCD;
  QPushButton * isolateButton;
  QLineEdit * p_line_edit;
  QString p_typed;

public slots:
 
  void slotSetLargest( int largest );
  void slotSetSize( int L );
  void slotSetp();
  
protected:

  void paintEvent( QPaintEvent * );

signals:

  void pChanged( double );

};

#endif 
